Page MenuHomePhabricator

Remove Avro + Kafka support in Mediawiki, Refinery and Puppet
Closed, ResolvedPublic3 Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterRemove CirrusSearchRequestSet code
analytics/refinery : masterRemove deprecated mediawiki avro oozie job
operations/mediawiki-config : masterRemove the event-schemas submodule
operations/mediawiki-config : masterRemove remaining monolog kafka and avro related configs
operations/puppet : productionRemove mediawiki-analytics (avro) camus job definition
operations/puppet : productionEnsure mediawiki-analytics (avro) Camus job is absent
operations/mediawiki-config : masterRemove usages of monolog kafka handler and avro formatter

Event Timeline

Ottomata created this task.Jun 24 2019, 6:18 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 24 2019, 6:18 PM

Change 518787 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Remove usages of monolog kafka handler and avro formatter

https://gerrit.wikimedia.org/r/518787

Change 518787 merged by Ottomata:
[operations/mediawiki-config@master] Remove usages of monolog kafka handler and avro formatter

https://gerrit.wikimedia.org/r/518787

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:13:43Z] <otto@deploy1001> sync-file aborted: Remove usages of monolog kafka handler and avro formatter - tests - T226436 (duration: 00m 06s)

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:14:45Z] <otto@deploy1001> Synchronized tests/loggingTest.php: Remove usages of monolog kafka handler and avro formatter - tests - T226436 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:16:02Z] <otto@deploy1001> Synchronized wmf-config: Remove usages of monolog kafka handler and avro formatter - wmf-config - T226436 (duration: 00m 56s)

Change 518797 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Remove remaining monolog kafka and avro related configs

https://gerrit.wikimedia.org/r/518797

Change 518797 merged by Ottomata:
[operations/mediawiki-config@master] Remove remaining monolog kafka and avro related configs

https://gerrit.wikimedia.org/r/518797

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:30:37Z] <otto@deploy1001> Synchronized tests/TestServices.php: Remove remaining monolog kafka and avro related configs - tests - T226436 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:31:58Z] <otto@deploy1001> Synchronized wmf-config: Remove remaining monolog kafka and avro related configs - wmf-config - T226436 (duration: 00m 55s)

Change 517871 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Remove the event-schemas submodule

https://gerrit.wikimedia.org/r/517871

Change 517871 merged by Ottomata:
[operations/mediawiki-config@master] Remove the event-schemas submodule

https://gerrit.wikimedia.org/r/517871

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:41:16Z] <otto@deploy1001> Synchronized wmf-config: Remove the event-schemas submodule - wmf-config - T226436 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-06-24T19:43:09Z] <otto@deploy1001> Synchronized .gitmodules: Remove the event-schemas submodule - .gitmodules - T226436 (duration: 00m 55s)

Ottomata triaged this task as High priority.Jun 24 2019, 7:44 PM
Ottomata moved this task from Incoming to Modern Event Platform on the Analytics board.
Ottomata set the point value for this task to 3.
Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.
Ottomata renamed this task from Remove Avro + Kafka support from Mediawiki Monolog configs to Remove Avro + Kafka support for Monolog configs.Jun 24 2019, 8:05 PM
Ottomata moved this task from Done to Ready to Deploy on the Analytics-Kanban board.

Change 518807 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Ensure mediawiki-analytics (avro) Camus job is absent

https://gerrit.wikimedia.org/r/518807

Change 518807 merged by Ottomata:
[operations/puppet@production] Ensure mediawiki-analytics (avro) Camus job is absent

https://gerrit.wikimedia.org/r/518807

Change 518810 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove mediawiki-analytics (avro) camus job definition

https://gerrit.wikimedia.org/r/518810

Change 518810 merged by Ottomata:
[operations/puppet@production] Remove mediawiki-analytics (avro) camus job definition

https://gerrit.wikimedia.org/r/518810

Mentioned in SAL (#wikimedia-operations) [2019-06-24T22:53:42Z] <Krinkle> krinkle@deploy1001: There is an untracked "wmf-config/event-schemas/" directory in the /srv/mediawiki deployment source, ref T226436

Change 519010 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/CirrusSearch@master] Remove CirrusSearchRequestSet code

https://gerrit.wikimedia.org/r/519010

Mentioned in SAL (#wikimedia-analytics) [2019-06-25T14:00:29Z] <ottomata> killing mediawiki-load-bundle - T226436

Ottomata renamed this task from Remove Avro + Kafka support for Monolog configs to Remove Avro + Kafka support in Mediawiki, Refinery and Puppet.Jun 25 2019, 2:03 PM

Change 519019 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[analytics/refinery@master] Remove deprecated mediawiki avro oozie job

https://gerrit.wikimedia.org/r/519019

Change 519019 merged by Ottomata:
[analytics/refinery@master] Remove deprecated mediawiki avro oozie job

https://gerrit.wikimedia.org/r/519019

@Krinkle thanks, just removed wmf-config/event-schemas from /srv/mediawiki-staging on deploy1001.

Nuria closed this task as Resolved.Jun 26 2019, 10:51 PM

Change 519010 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Remove CirrusSearchRequestSet code

https://gerrit.wikimedia.org/r/519010